<template>
  <v-app>
    <div v-if="showButtonDisplayAllCards">
      <v-card
          class="d-flex justify-center mb-6"
          :color="$vuetify.theme.dark ? 'grey darken-3' : 'grey lighten-4'"
          flat
          tile
      >
        <v-card
            :cols="12"
            class="pa-2"
            outlined
            tile
            max-height="600"
            max-width="600"
        >
          <v-card-actions>
            <v-btn
                @click="toggleAllCards"
                color="orange"
                text
            >
              Réafficher toutes les cartes
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-card>
    </div>
    <div v-if="showAllCards">
      <v-card
          class="d-flex justify-center mb-6"
          :color="$vuetify.theme.dark ? 'grey darken-3' : 'grey lighten-4'"
          flat
          tile
      >
        <v-card
            :cols="12"
            class="pa-2"
            outlined
            tile
            max-height="600"
            max-width="600"
        >
          <a @click="toggleClient">
            <v-img
                src="http://www.sylvainchasse.com/wp-content/uploads/2016/10/clients_heureux.jpg"
                class="white--text align-end"
                gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                height="200px"
            >
              <v-card-title>Client</v-card-title>
            </v-img>
          </a>
          <v-card-actions>
            <v-btn
                color="orange"
                text
            >
              Share
            </v-btn>

            <v-btn
                color="orange"
                text
            >
              Explore
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-card>


      <v-card
          class="d-flex justify-center mb-6"
          :color="$vuetify.theme.dark ? 'grey darken-3' : 'grey lighten-4'"
          flat
          tile
      >
        <v-card
            :cols="12"
            class="pa-2"
            outlined
            tile
            max-height="600"
            max-width="600"
        >
          <a @click="toggleFacture">
            <v-img
                src="https://www.netpme.fr/wp-content/uploads/2016/11/facture-682x483.jpg"
                class="white--text align-end"
                gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                height="200px"
            >
              <v-card-title>Factures</v-card-title>
            </v-img>
          </a>
          <v-card-actions>
            <v-btn
                color="orange"
                text
            >
              Share
            </v-btn>

            <v-btn
                color="orange"
                text
            >
              Explore
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-card>




      <v-card
          class="d-flex justify-center mb-6"
          :color="$vuetify.theme.dark ? 'grey darken-3' : 'grey lighten-4'"
          flat
          tile
      >
        <v-card
            :cols="12"
            class="pa-2"
            outlined
            tile
            max-height="600"
            max-width="600"
        >
          <a @click="toggleProduit">
            <v-img
                src="https://www.compta-facile.com/wp-content/uploads/2014/08/Comptabilisation-produits-exploitation.jpg"
                class="white--text align-end"
                gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                height="200px"
            >
              <v-card-title>Produits</v-card-title>
            </v-img>
          </a>
          <v-card-actions>
            <v-btn
                color="orange"
                text
            >
              Share
            </v-btn>

            <v-btn
                color="orange"
                text
            >
              Explore
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-card>
    </div>
    <Client v-if="showClient" />
    <Produit v-if="showProduit" />
    <Facture v-if="showFacture" />
  </v-app>
</template>

<script>
// @ is an alias to /src
import Client from "./Client";
import Produit from "./Produit";
import Facture from "./Facture";


export default {
  name: 'allComponents',
  components: {
    Client,
    Produit,
    Facture
  },
  data(){
    return {
      showAllCards: true,
      showButtonDisplayAllCards: false,
      showClient: false,
      showFacture: false,
      showProduit: false,
    }
  },
  methods: {
    toggleClient () {
      this.showButtonDisplayAllCards = !this.showButtonDisplayAllCards;
      this.showAllCards = !this.showAllCards;
      this.showClient = !this.showClient;
    },
    toggleFacture () {
      this.showButtonDisplayAllCards = !this.showButtonDisplayAllCards;
      this.showAllCards = !this.showAllCards;
      this.showFacture = !this.showFacture;
    },
    toggleProduit () {
      this.showButtonDisplayAllCards = !this.showButtonDisplayAllCards;
      this.showAllCards = !this.showAllCards;
      this.showProduit = !this.showProduit;
    },
    toggleAllCards () {
      this.showButtonDisplayAllCards = false;
      this.showAllCards = true;
      this.showClient = false;
      this.showFacture = false;
      this.showProduit = false;
    }
  }
}
</script>
